org.apache.pdfbox.pdmodel.interactive.form

## Class PDFieldFactory

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.form.PDFieldFactory

    public final class PDFieldFactory
    extends Object

A PDField factory.

### Method Summary

All Methods Static Methods Concrete Methods
`static PDField` `createField(PDAcroForm form, COSDictionary field, PDNonTerminalField parent)` Creates a COSField subclass from the given field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createField

    public static PDField createField(PDAcroForm form,
                                      COSDictionary field,
                                      PDNonTerminalField parent)

Creates a COSField subclass from the given field.

Parameters:
  `form` - the form that the field is part of
  `field` - the dictionary representing a field element
  `parent` - the parent node of the node to be created
Returns:
  the corresponding PDField instance